Spotfire Connectors 10.10 LTS

This page lists system requirements for all connectors in TIBCO Spotfire® version 10.10 LTS.

Requirements that apply to all connectors

To use connectors that require a data source driver, the driver must be installed on the computer that is running the connector.

That means that if you want to work with a connector in the Spotfire Automation Services, or the web clients Business Author and Consumer, you must install the driver on the computer running the Automation Services or Web Player service.

Downloading and installing drivers

For download links and installation instructions for the required data source drivers, see:

TIBCO Spotfire® Database Drivers

Connectors

TIBCO Spotfire® Connector for Amazon Redshift
Category Requirement
Data source
  • Amazon Redshift
Driver
  • Amazon Redshift ODBC Driver, version 1.4.x or higher
TIBCO Spotfire® Connector for Apache Drill
Category Requirement
Spotfire client
  • Only 64-bit Spotfire clients are supported.
Data source
  • Apache Drill, version 1.13 or higher
Driver
  • MapR Drill ODBC Driver, version 1.3.16.1049 or higher
TIBCO Spotfire® Connector for Apache Spark SQL
Category Requirement
Data source
  • Apache Spark SQL 1.6.0 and higher
  • Databricks
Driver
  • Simba ODBC Driver for Apache Spark SQL, Version 1.2.0 or higher

The driver from Simba listed above is also available under the following brands:

  • TIBCO ODBC Driver for Apache Spark SQL, Version 1.2.0 or higher
  • Databricks ODBC Driver for Apache Spark SQL, Version 1.2.0 or higher
TIBCO Spotfire® Connector for Attivio
Category Requirement
Data source
  • TIBCO Spotfire® Data Catalog, version 5.2.6 or higher
  • Attivio, version 5.1.9 or higher
Driver
  • Postgres Unicode Driver
Note: The driver must be the version that is included in the distribution of TIBCO Spotfire® Data Catalog or Attivio Sematic Data Catalog, which you are connecting to.
TIBCO Spotfire® Connector for Cloudera Hive
Category Requirement
Hadoop distributions
  • Cloudera CDH 4.x
  • Cloudera CDH 5.x
  • Cloudera CDH 6.x
  • Cloudera Hive on Spark, Tez or MapReduce (where applicable)
HiveServer
  • HiveServer2
Driver
  • Cloudera ODBC Driver for Apache Hive, Version 2.5.20 or higher
TIBCO Spotfire® Connector for Cloudera Impala
Category Requirement
Hadoop distribution
HiveServer HiveServer2
Driver
  • Cloudera Impala ODBC Driver, Version 2.5.40 or higher
    Note: To connect to a Cloudera Data Platform (CDP) instance in a cloud environment, version 2.6.9 or later of the driver is required.
TIBCO Spotfire® Connector for Dremio
Category Requirement
Spotfire client
  • Only 64-bit Spotfire clients are supported.
Data source
  • Dremio, version 1.3, 1.4, 2.0, 2.1, 3.x, 4.x
Driver
  • Dremio ODBC Driver, version 1.3 or higher
TIBCO Spotfire® Connector for Google Analytics
Category Requirement
Data source
  • Google Analytics
Driver No driver is required to use this connector.
Other software

If you are running Microsoft Edge and you want to use the Google Analytics connector in the Web Player, version 10.10586 or higher of Microsoft Edge, and the cumulative patch from April 12, 2016 (KB3147458), is required.

TIBCO Spotfire® Connector for BigQuery
Category Requirement
Data source
  • Google BigQuery
Driver No driver is required to use this connector.
TIBCO Spotfire® Connector for Hortonworks
Category Requirement
Hadoop distributions
  • Hortonworks Data Platform (HDP) 2.1.x and higher
  • Apache Hive on Spark, Tez, or MapReduce (where applicable)
  • Apache Hive on Spark, Tez, or MapReduce (where applicable) on MapR distributions
  • Apache Hive on Spark, Tez, or MapReduce (where applicable) on IBM BigInsights®
  • Apache Hive on Microsoft Azure HDInsight
HiveServer HiveServer2
Driver The following drivers are supported:
  • Hortonworks ODBC Driver for Apache Hive, version 2.1.5 or higher
  • Cloudera ODBC Driver for Apache Hive version 2.5.20 or higher
Note: The Spotfire Hortonworks connector can be used to connect to other Apache Hive data sources. Also, you can connect to Cloudera Hive with the Hortonworks connector, if the Cloudera ODBC Driver is installed.
TIBCO Spotfire® Connector for IBM DB2
Category Requirement
Data source
  • IBM DB2 LUW 9.x, 10.x, 11.x (LUW = Linux, Unix, Windows)
Driver
  • IBM DB2 ODBC driver 10.5 or higher
TIBCO Spotfire® Connector for IBM Netezza
Category Requirement
Data source
  • IBM Netezza NPS 6.x, 7.x
  • IBM Netezza Performance Server 11.x
Driver
  • IBM Netezza ODBC Driver version 7.x
TIBCO Spotfire® Connector for Microsoft SharePoint Online
Category Requirement
Data source
  • Microsoft SharePoint Online
Driver

No driver is required to use this connector.

TIBCO Spotfire® Connector for Microsoft SQL Server
Category Requirement
Data source

Supported data sources:

  • Microsoft Azure SQL Database
  • Microsoft Azure Synapse Analytics (formerly SQL Data Warehouse)
  • Microsoft SQL Server 2019
  • Microsoft SQL Server 2017
  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2008 R2
  • Amazon RDS SQL Server
Driver

The required driver is included in Microsoft.NET - no need for a separate installation.

TIBCO Spotfire® Connector for Microsoft SQL Server Analysis Services
Category Requirement
Data source

Supported data sources:

  • Microsoft Azure Analysis Services
  • Microsoft SQL Server Analysis Services 2016 in Multidimensional or Tabular Mode
  • Microsoft SQL Server Analysis Services 2014 in Multidimensional or Tabular Mode
  • Microsoft SQL Server Analysis Services 2012 in Multidimensional or Tabular Mode
  • Microsoft SQL Server Analysis Services 2008 R2
Driver
Supported drivers:
  • Microsoft ADOMD.NET driver for SQL Server 2016
  • Microsoft ADOMD.NET driver for SQL Server 2014
  • Microsoft ADOMD.NET driver for SQL Server 2012
TIBCO Spotfire® Connector for OData
Category Requirement
Data source
  • OData 1,2,3,4
Driver

No driver is required to use this connector.

TIBCO Spotfire® Connector for Oracle
Category Requirement
Data source
  • Oracle 11gR1, 11gR2, 12c R1, 12c R2, 18c, 19c
  • Oracle Exadata X2 (11gR2, 12c)
Driver
  • ODAC (ODP.NET) 12c
  • ODAC (ODP.NET) 11.2.0.x (11.2.0.0 or higher)
TIBCO Spotfire® Connector for Oracle Essbase
Category Requirement
Data source
  • Oracle Essbase 11.1
Driver
  • Oracle Enterprise Performance Management System Media Pack for Microsoft Windows x64, EPM System Release 11.1.2.4.0 or higher Client
TIBCO Spotfire® Connector for Oracle MySQL
Category Requirement
Data source
  • Oracle MySQL 5.1, 5.5, 5.6, 5.7, 8.0 and later
  • MariaDB, version 10.3 and later
  • MongoDB Connector for BI, version 2.7 and later
  • MemSQL, version 6.7 and later
    Note: To connect to MemSQL databases, version 5.3 of the Oracle MySQL Connector/ODBC driver is required.
  • Amazon Aurora
  • Amazon RDS for MySQL
  • Microsoft Azure Database for MySQL
  • Microsoft Azure Database for MariaDB
Driver
  • Oracle MySQL Connector/ODBC, version 5.3 or later
    Note: To connect to MemSQL databases, you must use version 5.3 of the Oracle MySQL Connector/ODBC driver.
  • MariaDB Connector/ODBC, version 3.1.6 or later
  • Mongo DB ODBC Driver for BI Connector, version 1.2 or later
TIBCO Spotfire® Connector for Pivotal Greenplum
Category Requirement
Data source
  • Greenplum Database 4.x, 5.x, 6.x
  • HAWQ
Driver
  • PsqlODBC 9.x
  • DataDirect 7.1.x Greenplum ODBC
TIBCO Spotfire® Connector for Pivotal HAWQ
Category Requirement
Data source
  • Pivotal HD 1.0.7
Driver
  • PsqlODBC 9.x
  • DataDirect 7.1.x Greenplum ODBC
TIBCO Spotfire® Connector for PostgreSQL
Category Requirement
Data source
  • PostgreSQL 8.4, 9.x, 10.x, 11.x, 12.x, 13.x
  • Microsoft Azure Database for PostgreSQL
  • Amazon Aurora
  • Amazon RDS for PostgreSQL
Driver
  • psqlODBC 9.6.1 or higher
TIBCO Spotfire® Connector for Salesforce
Category Requirement
Data source
  • Salesforce
Driver

No driver is required to use this connector.

TIBCO Spotfire® Connector for SAP HANA
Category Requirement
Data source
  • SAP HANA 1.0 server (SPS12 or higher)
  • AWS SAP HANA One
  • SAP HANA 2.0 (SPS00 or higher)
Driver
  • SAP HANA ODBC driver, version included in SAP HANA Client 2.0 revision 003 or higher
TIBCO Spotfire® Connector for SAP NetWeaver Business Warehouse (SAP BW)
Category Requirement
Data source
  • SAP NetWeaver Business Warehouse 7.3, 7.4, 7.5
  • SAP BW/4HANA 2.0
Driver
  • SAP NetWeaver RFC SDK 7.50, patch level 1 or higher
  • SAP NetWeaver RFC SDK 7.20, patch level 38 or higher
    Note: To use the SAP NetWeaver RFC SDK drivers with Spotfire, Microsoft Visual C++ Redistributable Packages for Visual Studio 2013 is required.
  • SAP BW OLE DB for OLAP provider
Note: It is recommended to use SAP NetWeaver RFC SDK, which enables the SAP BW connector to use the BAPI interface for communication with SAP BW systems, instead of ODBO.
TIBCO Spotfire® Connector for Snowflake
Category Requirement
Spotfire client
  • Only 64-bit Spotfire clients are supported.
Data source
  • Snowflake
Driver
  • Snowflake ODBC Driver, version 2.18.2 or later
TIBCO Spotfire® Connector for Spotfire Data Streams
Category Requirement
Spotfire client
  • Only 64-bit Spotfire clients are supported.
Data source
  • TIBCO Spotfire Data Streams, version 10.4.0 or later
  • TIBCO Streaming, version 10.4.0 or later
  • TIBCO Live Datamart, version 2.2.5 or later
Driver The required driver is included out-of-the-box in the Spotfire installation.
TIBCO Spotfire® Connector for Teradata
Category Requirement
Data source
  • Teradata 13.x, 14.x, 15.x, 16.10
  • Teradata Vantage, Teradata Vantage 2.0
Driver
  • .NET Data Provider for Teradata 13.x, 14.x, 15.x, 16.x, 17.x
Note: It is recommended that you use the driver version matching the version of the Teradata instance you want to connect to. For more information about driver compatibility, see the official documentation from Teradata.
TIBCO Spotfire® Connector for Teradata Aster
Category Requirement
Data source
  • Teradata Aster 5.0, 5.11, 6.0
Driver
  • Aster ODBC Driver 6.0 or higher
TIBCO Spotfire® Connector for TIBCO Cloud™ Live Apps
Category Requirement
Data source
  • TIBCO Cloud™ Live Apps
Driver No driver is required to use this connector.
TIBCO Spotfire® Connector for TIBCO ComputeDB
Category Requirement
Data source
  • TIBCO ComputeDB, version 1.1.0 or later
Driver
  • TIBCO ODBC Driver for Apache Spark, version 1.2.6.1007 or later
TIBCO Spotfire® Connector for TIBCO Data Virtualization
Category Requirement
Data source
  • TIBCO Data Virtualization 7.0.x, 8.0.x, 8.1.x, 8.2.x, 8.3.x, 8.4.x
  • Cisco ("Composite") Information Server 7.0.x
  • TIBCO Spotfire Advanced Data Services 7.0.x
Driver The required driver is included out-of-the-box in the Spotfire installation.
TIBCO Spotfire® Connector for Vertica
Category Requirement
Data source
  • Vertica 6.x, 7.x, 8.x, 9.x
Driver
  • Vertica ADO.NET driver 6.x, 7.x, 8.x, 9.x